unit About;

{ MIRROR 0.1.2 (Mar  8, 2000) - a frontend for GNU wget
  Copyright (C) 1999-2000 Wolf Behrenhoff <wolf.behrenhoff@gmx.net>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program. If not, write to the Free Software
  Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. }

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, ShellApi;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    MailToLabel: TLabel;
    Copyinglabel: TLabel;
    Label4: TLabel;
    procedure MailToLabelClick(Sender: TObject);
    procedure CopyinglabelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

uses MirrorMain;

{$R *.DFM}

procedure TAboutBox.MailToLabelClick(Sender: TObject);
begin
  ShellExecute(Application.MainForm.Handle,NIL,'mailto:wolf@behrenhoff.de',
               '','', SW_SHOWNORMAL);
end;

procedure TAboutBox.CopyinglabelClick(Sender: TObject);
begin
  WinExec(PChar('notepad.exe '+
          ExtractFileDir(MainForm.getWGETPath)+'\Copying'),SW_SHOWNORMAL);
end;

end.

